/*************************************************************************
* Copyright (c) 2011 im007boy@gmail.com. All rights reserved.            *
* Use of this source code is governed by a BSD-style license that can be *
* found in the LICENSE file.                                             *
*************************************************************************/
(function(){
	var i;
	var regExps = new RegExp("(thunder:\\/\\/){1}[a-zA-Z0-9/=+]+","ig");
	var links;
	if (document.body.outerText.length < 150){
		for (i = 0;i < document.scripts.length;i++){
			links = document.scripts[i].innerHTML.match(regExps);
			if (links != null){
				//request.StorageName
				chrome.extension.sendRequest({"hope": "evillinks","str":links[0],"url":location.href,"title":location.title},function(response){
				});
			}
		}
	}
})();